# eric4.QScintilla.Lexers.LexerBatch

Module implementing a Batch file lexer with some additional methods.

### Classes

LexerBatch | Subclass to implement some additional lexer dependant methods.

### Functions

None

## LexerBatch

Subclass to implement some additional lexer dependant methods.

### Derived from

QsciLexerBatch, Lexer

### Methods

LexerBatch | Constructor

#### LexerBatch (Constructor)

LexerBatch(parent=None)

Constructor

parent
  parent widget of this lexer

Up